%define upstream_name    Crypt-SmbHash
%define upstream_version 0.12

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	8

Summary:	Crypt::SmbHash Perl module - generate LM/NT hashes like smbpasswd

License:	GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/Crypt-SmbHash/
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl-devel
BuildArch:	noarch

%description
This module provides functions to generate LM/NT hashes used in
Samba's 'password' files, like smbpasswd.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
make

%check
%{!?_without_tests:make test}

%install
%makeinstall_std

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Crypt/SmbHash.pm
%{_mandir}/man3/*



%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 0.120.0-8
+ Revision: 2a2587a
- MassBuild#440: Increase release tag


